### Hierarchy

- JsonFormsControl
  - MasterListComponent

### Implements

- OnInit
- OnDestroy

## Index

### Constructors

- constructor

### Properties

- addItem
- data
- description
- disabled
- enabled
- error
- form
- getEventValue
- hidden
- highlightedIdx
- id
- label
- masterItems
- ngRedux
- path
- propsPath
- removeItems
- schema
- scopedSchema
- selectedItem
- selectedItemIdx
- subscription
- uischema
- validator
- visible

### Methods

- getOwnProps
- mapAdditionalProps
- mapToProps
- ngOnDestroy
- ngOnInit
- onAddClick
- onChange
- onDeleteClick
- onListItemHover
- onSelect
- trackElement
- triggerValidation

## Constructors

### constructor

- new MasterListComponent(ngRedux: NgRedux<JsonFormsState>): MasterListComponent

- Overrides JsonFormsControl.__constructor

  - Defined in other/master-detail/master.ts:115

  #### Parameters

  - ##### ngRedux: NgRedux<JsonFormsState>

  #### Returns MasterListComponent

## Properties

### addItem

addItem: function

- Defined in other/master-detail/master.ts:112

#### Type declaration

- - (path: string): function

  - #### Parameters

    - ##### path: string

    #### Returns function

    - - (): void

      - #### Returns void

### data

data: any

Inherited from JsonFormsControl.data

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:14

### description

description: string

Inherited from JsonFormsControl.description

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:16

### disabled

disabled: boolean

Inherited from JsonFormsControl.disabled

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:10

### enabled

enabled: boolean

Inherited from JsonFormsControl.enabled

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:19

### error

error: string | null

Inherited from JsonFormsControl.error

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:17

### form

form: FormControl

Inherited from JsonFormsControl.form

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:12

### getEventValue

getEventValue: function

Inherited from JsonFormsControl.getEventValue

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:22

#### Type declaration

- - (event: any): any

  - #### Parameters

    - ##### event: any

    #### Returns any

### hidden

hidden: boolean

Inherited from JsonFormsControl.hidden

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:20

### highlightedIdx

highlightedIdx: number

- Defined in other/master-detail/master.ts:115

### id

id: string

Inherited from JsonFormsControl.id

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:9

### label

label: string

Inherited from JsonFormsControl.label

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:15

### masterItems

masterItems: any[]

- Defined in other/master-detail/master.ts:109

### Protected ngRedux

ngRedux: NgRedux<JsonFormsState>

Inherited from JsonFormsControl.ngRedux

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:8

### path

path: string

Inherited from JsonFormsBaseRenderer.path

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:5

### propsPath

propsPath: string

- Defined in other/master-detail/master.ts:114

### removeItems

removeItems: function

- Defined in other/master-detail/master.ts:113

#### Type declaration

- - (path: string, toDelete: any[]): function

  - #### Parameters

    - ##### path: string

    - ##### toDelete: any[]

    #### Returns function

    - - (): void

      - #### Returns void

### schema

schema: JsonSchema

Inherited from JsonFormsBaseRenderer.schema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:4

### scopedSchema

scopedSchema: JsonSchema

Inherited from JsonFormsControl.scopedSchema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:18

### selectedItem

selectedItem: any

- Defined in other/master-detail/master.ts:110

### selectedItemIdx

selectedItemIdx: number

- Defined in other/master-detail/master.ts:111

### subscription

subscription: Subscription

Inherited from JsonFormsControl.subscription

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:13

### uischema

uischema: ControlElement

Inherited from JsonFormsBaseRenderer.uischema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:3

### validator

validator: ValidatorFn

Inherited from JsonFormsControl.validator

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:25

### visible

visible: boolean

Inherited from JsonFormsControl.visible

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:11

## Methods

### Protected getOwnProps

- getOwnProps(): OwnPropsOfControl

- Inherited from JsonFormsControl.getOwnProps

  Overrides JsonFormsBaseRenderer.getOwnProps

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:28

  #### Returns OwnPropsOfControl

### mapAdditionalProps

- mapAdditionalProps(props: ControlProps): void

- Overrides JsonFormsControl.mapAdditionalProps

  - Defined in other/master-detail/master.ts:142

  #### Parameters

  - ##### props: ControlProps

  #### Returns void

### Protected mapToProps

- mapToProps(state: JsonFormsState): ControlProps

- Inherited from JsonFormsControl.mapToProps

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:29

  #### Parameters

  - ##### state: JsonFormsState

  #### Returns ControlProps

### ngOnDestroy

- ngOnDestroy(): void

- Inherited from JsonFormsControl.ngOnDestroy

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:27

  #### Returns void

### ngOnInit

- ngOnInit(): void

- Overrides JsonFormsControl.ngOnInit

  - Defined in other/master-detail/master.ts:129

  #### Returns void

### onAddClick

- onAddClick(): void

- - Defined in other/master-detail/master.ts:212

  #### Returns void

### onChange

- onChange(ev: any): void

- Inherited from JsonFormsControl.onChange

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:23

  #### Parameters

  - ##### ev: any

  #### Returns void

### onDeleteClick

- onDeleteClick(item: any): void

- - Defined in other/master-detail/master.ts:216

  #### Parameters

  - ##### item: any

  #### Returns void

### onListItemHover

- onListItemHover(idx: number): void

- - Defined in other/master-detail/master.ts:121

  #### Parameters

  - ##### idx: number

  #### Returns void

### onSelect

- onSelect(item: any, idx: number): void

- - Defined in other/master-detail/master.ts:207

  #### Parameters

  - ##### item: any

  - ##### idx: number

  #### Returns void

### trackElement

- trackElement(_index: number, element: any): any

- - Defined in other/master-detail/master.ts:125

  #### Parameters

  - ##### _index: number

  - ##### element: any

  #### Returns any

### Protected triggerValidation

- triggerValidation(): void

- Inherited from JsonFormsControl.triggerValidation

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/control.d.ts:30

  #### Returns void

Generated using TypeDoc